Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.mif
Class MIFHandler

    java.lang.Object
      org.apache.fop.fo.FOEventHandler
          org.apache.fop.render.mif.MIFHandler

public class MIFHandler
extends FOEventHandler

The MIF Handler. This generates MIF output using the structure events from the FO Tree sent to this structure handler. This builds an MIF file and writes it to the output.

Field Summary
`protected MIFFile` | `mifFile` the MIFFile instance
`protected java.io.OutputStream` | `outStream` the OutputStream to write to

Fields inherited from class org.apache.fop.fo.FOEventHandler
`fontInfo, foUserAgent`

Constructor Summary
`MIFHandler(FOUserAgent ua, java.io.OutputStream os)` Creates a new MIF handler on a given OutputStream.

Method Summary
`void` | `characters(char[] data, int start, int length)` Process character data.
`void` | `endBlock(Block bl)`
`void` | `endBody(TableBody tb)`
`void` | `endCell(TableCell tc)`
`void` | `endColumn(TableColumn tc)`
`void` | `endDocument()` This method is called to indicate the end of a document run.
`void` | `endFlow(Flow fl)`
`void` | `endFooter(TableBody tf)`
`void` | `endFootnote(Footnote footnote)` Process the ending of a footnote.
`void` | `endFootnoteBody(FootnoteBody body)` Process the ending of a footnote body.
`void` | `endHeader(TableBody th)`
`void` | `endInline(Inline inl)`
`void` | `endLink()` Process end of a Link.
`void` | `endList(ListBlock lb)`
`void` | `endListBody()` Process end of a ListBody.
`void` | `endListItem(ListItem li)`
`void` | `endListLabel()` Process end of a ListLabel.
`void` | `endMarkup()` Process end of a Markup.
`void` | `endPageNumber(PageNumber pagenum)`
`void` | `endPageSequence(PageSequence pageSeq)`
`void` | `endRow(TableRow tr)`
`void` | `endStatic()` Process end of a Static.
`void` | `endTable(Table tbl)`
`void` | `foreignObject(InstreamForeignObject ifo)` Process an InstreamForeignObject.
`void` | `image(ExternalGraphic eg)` Process an ExternalGraphic.
`void` | `leader(Leader l)` Process a Leader.
`void` | `pageRef()` Process a pageRef.
`void` | `startBlock(Block bl)`
`void` | `startBody(TableBody tb)`
`void` | `startCell(TableCell tc)`
`void` | `startColumn(TableColumn tc)`
`void` | `startDocument()` This method is called to indicate the start of a new document run.
`void` | `startFlow(Flow fl)` This method is called to indicate the start of a new fo:flow or fo:static-content.
`void` | `startFooter(TableBody tf)`
`void` | `startFootnote(Footnote footnote)` Process the start of a footnote.
`void` | `startFootnoteBody(FootnoteBody body)` Process the start of a footnote body.
`void` | `startHeader(TableBody th)`
`void` | `startInline(Inline inl)`
`void` | `startLink(BasicLink basicLink)` Process start of a Link.
`void` | `startList(ListBlock lb)`
`void` | `startListBody()` Process start of a ListBody.
`void` | `startListItem(ListItem li)`
`void` | `startListLabel()` Process start of a ListLabel.
`void` | `startMarkup()` Process start of a Markup.
`void` | `startPageNumber(PageNumber pagenum)`
`void` | `startPageSequence(PageSequence pageSeq)` Start the page sequence.
`void` | `startRow(TableRow tr)`
`void` | `startStatic()` Process start of a Static.
`void` | `startTable(Table tbl)`

Methods inherited from class org.apache.fop.fo.FOEventHandler
`character, endBlockContainer, endExternalDocument, endFooter, endHeader, endPageNumberCitation, endPageNumberCitationLast, getFontInfo, getUserAgent, startBlockContainer, startExternalDocument, startFooter, startHeader, startPageNumberCitation, startPageNumberCitationLast`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mifFile

    protected MIFFile mifFile

  the MIFFile instance

### outStream

    protected java.io.OutputStream outStream

  the OutputStream to write to

Constructor Detail

### MIFHandler

    public MIFHandler(FOUserAgent ua,
                      java.io.OutputStream os)

  Creates a new MIF handler on a given OutputStream.

Parameters:
  `ua` - FOUserAgent instance for this process
  `os` - OutputStream to write to

Method Detail

### startDocument

    public void startDocument()
                       throws org.xml.sax.SAXException

  Description copied from class: `FOEventHandler`
  This method is called to indicate the start of a new document run.

  Overrides:
    `startDocument` in class `FOEventHandler`
  Throws:
    `org.xml.sax.SAXException` - In case of a problem
  See Also:
    `FOEventHandler.startDocument()`

### endDocument

    public void endDocument()
                     throws org.xml.sax.SAXException

  Description copied from class: `FOEventHandler`
  This method is called to indicate the end of a document run.

  Overrides:
    `endDocument` in class `FOEventHandler`
  Throws:
    `org.xml.sax.SAXException` - In case of a problem
  See Also:
    `FOEventHandler.endDocument()`

### startPageSequence

    public void startPageSequence(PageSequence pageSeq)

  Start the page sequence. This creates the pages in the MIF document that will be used by the following flows and static areas.

  Overrides:
    `startPageSequence` in class `FOEventHandler`
  Parameters:
    `pageSeq` - PageSequence that is starting.
  See Also:
    `FOEventHandler`

### endPageSequence

    public void endPageSequence(PageSequence pageSeq)

  Overrides:
    `endPageSequence` in class `FOEventHandler`
  Parameters:
    `pageSeq` - PageSequence that is ending.
  See Also:
    `FOEventHandler.endPageSequence(PageSequence)`

### startFlow

    public void startFlow(Flow fl)

  Description copied from class: `FOEventHandler`
  This method is called to indicate the start of a new fo:flow or fo:static-content. This method also handles fo:static-content tags, because the StaticContent class is derived from the Flow class.

  Overrides:
    `startFlow` in class `FOEventHandler`
  Parameters:
    `fl` - Flow that is starting.
  See Also:
    `FOEventHandler.startFlow(Flow)`

### endFlow

    public void endFlow(Flow fl)

  Overrides:
    `endFlow` in class `FOEventHandler`
  Parameters:
    `fl` - Flow that is ending.
  See Also:
    `FOEventHandler.endFlow(Flow)`

### startBlock

    public void startBlock(Block bl)

  Overrides:
    `startBlock` in class `FOEventHandler`
  Parameters:
    `bl` - Block that is starting.
  See Also:
    `FOEventHandler.startBlock(Block)`

### endBlock

    public void endBlock(Block bl)

  Overrides:
    `endBlock` in class `FOEventHandler`
  Parameters:
    `bl` - Block that is ending.
  See Also:
    `FOEventHandler.endBlock(Block)`

### startInline

    public void startInline(Inline inl)

  Overrides:
    `startInline` in class `FOEventHandler`
  Parameters:
    `inl` - Inline that is starting.

### endInline

    public void endInline(Inline inl)

  Overrides:
    `endInline` in class `FOEventHandler`
  Parameters:
    `inl` - Inline that is ending.

### startTable

    public void startTable(Table tbl)

  Overrides:
    `startTable` in class `FOEventHandler`
  Parameters:
    `tbl` - Table that is starting.
  See Also:
    `FOEventHandler.startTable(Table)`

### endTable

    public void endTable(Table tbl)

  Overrides:
    `endTable` in class `FOEventHandler`
  Parameters:
    `tbl` - Table that is ending.
  See Also:
    `FOEventHandler.endTable(Table)`

### startColumn

    public void startColumn(TableColumn tc)

  Overrides:
    `startColumn` in class `FOEventHandler`
  Parameters:
    `tc` - TableColumn that is starting;

### endColumn

    public void endColumn(TableColumn tc)

  Overrides:
    `endColumn` in class `FOEventHandler`
  Parameters:
    `tc` - TableColumn that is ending;

### startHeader

    public void startHeader(TableBody th)

  See Also:
    `org.apache.fop.fo.FOEventHandler#startHeader(TableBody)`

### endHeader

    public void endHeader(TableBody th)

  See Also:
    `org.apache.fop.fo.FOEventHandler#endHeader(TableBody)`

### startFooter

    public void startFooter(TableBody tf)

  See Also:
    `org.apache.fop.fo.FOEventHandler#startFooter(TableBody)`

### endFooter

    public void endFooter(TableBody tf)

  See Also:
    `org.apache.fop.fo.FOEventHandler#endFooter(TableBody)`

### startBody

    public void startBody(TableBody tb)

  Overrides:
    `startBody` in class `FOEventHandler`
  Parameters:
    `tb` - TableBody that is starting.
  See Also:
    `FOEventHandler.startBody(TableBody)`

### endBody

    public void endBody(TableBody tb)

  Overrides:
    `endBody` in class `FOEventHandler`
  Parameters:
    `tb` - TableBody that is ending.
  See Also:
    `FOEventHandler.endBody(TableBody)`

### startRow

    public void startRow(TableRow tr)

  Overrides:
    `startRow` in class `FOEventHandler`
  Parameters:
    `tr` - TableRow that is starting.
  See Also:
    `FOEventHandler.startRow(TableRow)`

### endRow

    public void endRow(TableRow tr)

  Overrides:
    `endRow` in class `FOEventHandler`
  Parameters:
    `tr` - TableRow that is ending.
  See Also:
    `FOEventHandler.endRow(TableRow)`

### startCell

    public void startCell(TableCell tc)

  Overrides:
    `startCell` in class `FOEventHandler`
  Parameters:
    `tc` - TableCell that is starting.
  See Also:
    `FOEventHandler.startCell(TableCell)`

### endCell

    public void endCell(TableCell tc)

  Overrides:
    `endCell` in class `FOEventHandler`
  Parameters:
    `tc` - TableCell that is ending.
  See Also:
    `FOEventHandler.endCell(TableCell)`

### startList

    public void startList(ListBlock lb)

  Overrides:
    `startList` in class `FOEventHandler`
  Parameters:
    `lb` - ListBlock that is starting.
  See Also:
    `FOEventHandler.startList(ListBlock)`

### endList

    public void endList(ListBlock lb)

  Overrides:
    `endList` in class `FOEventHandler`
  Parameters:
    `lb` - ListBlock that is ending.
  See Also:
    `FOEventHandler.endList(ListBlock)`

### startListItem

    public void startListItem(ListItem li)

  Overrides:
    `startListItem` in class `FOEventHandler`
  Parameters:
    `li` - ListItem that is starting.
  See Also:
    `FOEventHandler.startListItem(ListItem)`

### endListItem

    public void endListItem(ListItem li)

  Overrides:
    `endListItem` in class `FOEventHandler`
  Parameters:
    `li` - ListItem that is ending.
  See Also:
    `FOEventHandler.endListItem(ListItem)`

### startListLabel

    public void startListLabel()

  Description copied from class: `FOEventHandler`
  Process start of a ListLabel.

  Overrides:
    `startListLabel` in class `FOEventHandler`
  See Also:
    `FOEventHandler.startListLabel()`

### endListLabel

    public void endListLabel()

  Description copied from class: `FOEventHandler`
  Process end of a ListLabel.

  Overrides:
    `endListLabel` in class `FOEventHandler`
  See Also:
    `FOEventHandler.endListLabel()`

### startListBody

    public void startListBody()

  Description copied from class: `FOEventHandler`
  Process start of a ListBody.

  Overrides:
    `startListBody` in class `FOEventHandler`
  See Also:
    `FOEventHandler.startListBody()`

### endListBody

    public void endListBody()

  Description copied from class: `FOEventHandler`
  Process end of a ListBody.

  Overrides:
    `endListBody` in class `FOEventHandler`
  See Also:
    `FOEventHandler.endListBody()`

### startStatic

    public void startStatic()

  Description copied from class: `FOEventHandler`
  Process start of a Static.

  Overrides:
    `startStatic` in class `FOEventHandler`
  See Also:
    `FOEventHandler.startStatic()`

### endStatic

    public void endStatic()

  Description copied from class: `FOEventHandler`
  Process end of a Static.

  Overrides:
    `endStatic` in class `FOEventHandler`
  See Also:
    `FOEventHandler.endStatic()`

### startMarkup

    public void startMarkup()

  Description copied from class: `FOEventHandler`
  Process start of a Markup.

  Overrides:
    `startMarkup` in class `FOEventHandler`
  See Also:
    `FOEventHandler.startMarkup()`

### endMarkup

    public void endMarkup()

  Description copied from class: `FOEventHandler`
  Process end of a Markup.

  Overrides:
    `endMarkup` in class `FOEventHandler`
  See Also:
    `FOEventHandler.endMarkup()`

### startLink

    public void startLink(BasicLink basicLink)

  Description copied from class: `FOEventHandler`
  Process start of a Link.

  Overrides:
    `startLink` in class `FOEventHandler`
  Parameters:
    `basicLink` - BasicLink that is ending
  See Also:
    `FOEventHandler.startLink(BasicLink basicLink)`

### endLink

    public void endLink()

  Description copied from class: `FOEventHandler`
  Process end of a Link.

  Overrides:
    `endLink` in class `FOEventHandler`
  See Also:
    `FOEventHandler.endLink()`

### image

    public void image(ExternalGraphic eg)

  Description copied from class: `FOEventHandler`
  Process an ExternalGraphic.

  Overrides:
    `image` in class `FOEventHandler`
  Parameters:
    `eg` - ExternalGraphic to process.
  See Also:
    `FOEventHandler.image(ExternalGraphic)`

### pageRef

    public void pageRef()

  Description copied from class: `FOEventHandler`
  Process a pageRef.

  Overrides:
    `pageRef` in class `FOEventHandler`
  See Also:
    `FOEventHandler.pageRef()`

### foreignObject

    public void foreignObject(InstreamForeignObject ifo)

  Description copied from class: `FOEventHandler`
  Process an InstreamForeignObject.

  Overrides:
    `foreignObject` in class `FOEventHandler`
  Parameters:
    `ifo` - InstreamForeignObject to process.
  See Also:
    `FOEventHandler.foreignObject(InstreamForeignObject)`

### startFootnote

    public void startFootnote(Footnote footnote)

  Description copied from class: `FOEventHandler`
  Process the start of a footnote.

  Overrides:
    `startFootnote` in class `FOEventHandler`
  Parameters:
    `footnote` - Footnote that is starting
  See Also:
    `FOEventHandler.startFootnote(Footnote)`

### endFootnote

    public void endFootnote(Footnote footnote)

  Description copied from class: `FOEventHandler`
  Process the ending of a footnote.

  Overrides:
    `endFootnote` in class `FOEventHandler`
  Parameters:
    `footnote` - Footnote that is ending
  See Also:
    `FOEventHandler.endFootnote(Footnote)`

### startFootnoteBody

    public void startFootnoteBody(FootnoteBody body)

  Description copied from class: `FOEventHandler`
  Process the start of a footnote body.

  Overrides:
    `startFootnoteBody` in class `FOEventHandler`
  Parameters:
    `body` - FootnoteBody that is starting
  See Also:
    `FOEventHandler.startFootnoteBody(FootnoteBody)`

### endFootnoteBody

    public void endFootnoteBody(FootnoteBody body)

  Description copied from class: `FOEventHandler`
  Process the ending of a footnote body.

  Overrides:
    `endFootnoteBody` in class `FOEventHandler`
  Parameters:
    `body` - FootnoteBody that is ending
  See Also:
    `FOEventHandler.endFootnoteBody(FootnoteBody)`

### leader

    public void leader(Leader l)

  Description copied from class: `FOEventHandler`
  Process a Leader.

  Overrides:
    `leader` in class `FOEventHandler`
  Parameters:
    `l` - Leader to process.
  See Also:
    `FOEventHandler.leader(Leader)`

### characters

    public void characters(char[] data,
                           int start,
                           int length)

  Description copied from class: `FOEventHandler`
  Process character data.

  Overrides:
    `characters` in class `FOEventHandler`
  Parameters:
    `data` - Array of characters to process.
    `start` - Offset for characters to process.
    `length` - Portion of array to process.
  See Also:
    `FOEventHandler.characters(char[], int, int)`

### startPageNumber

    public void startPageNumber(PageNumber pagenum)

  Overrides:
    `startPageNumber` in class `FOEventHandler`
  Parameters:
    `pagenum` - PageNumber that is starting.

### endPageNumber

    public void endPageNumber(PageNumber pagenum)

  Overrides:
    `endPageNumber` in class `FOEventHandler`
  Parameters:
    `pagenum` - PageNumber that is ending.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.